Page MenuHomePhabricator

Add monobook to packagist.org
Closed, DeclinedPublic

Description

I don't see monobook on https://packagist.org/users/mediawiki/ or anywhere; there are Vector and Metrolook.

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: MonoBook.
Nemo_bis added a subscriber: Nemo_bis.
Aklapper triaged this task as Lowest priority.Jan 12 2015, 1:38 PM
Nemo_bis raised the priority of this task from Lowest to Medium.EditedJan 12 2015, 9:31 PM

No reason to believe monobook is different from Vector in level of packaging support.

Umherirrender closed this task as Declined.Jan 1 2017, 8:55 PM
Umherirrender added a subscriber: Umherirrender.

per T467

per T467

How is that relevant? People are using composer even without an extension manager.

Nemo_bis reopened this task as Open.Jan 2 2017, 8:30 AM

The packagist is list under https://www.mediawiki.org/wiki/Requests_for_comment/Extension_management_with_Composer#Packagist, and that document is marked as "declined".

But it is okay to reopen.

hashar closed this task as Declined.Feb 1 2017, 9:52 AM
hashar added a subscriber: hashar.

We use the extension registry system instead of composer and the extension distributor instead of packagist. That has been talked about over and over during the RFC and in the end consensus has been to write our own thing.

People should not use composer to install extensions and skins. If there are still left on packagist.org it is mostly leftover from attempt we did with composer years ago.

Moreover:

  • Monobook has been deprecated since 2010
  • It still bundled in the mediawiki release tarball which is the primary way of installing it.

So in the end I agree with @Umherirrender there is not much to do there and eventually packagist.org should be cleaned.

mwjames added a subscriber: mwjames.EditedFeb 1 2017, 10:09 AM

That has been talked about over and over during the RFC and in the end consensus has been to write our own thing.

This consensus may have been on an internal WMF discussion board but that doesn't mean that other developers have to follow suit especially those that are not affiliated with WMF.

People should not use composer to install extensions and skins. If there are still left on packagist.org it is mostly leftover from attempt we did with composer years ago.

People use it whether you liked or not.

mostly leftover

This is statement is just not true (you may look at the download statistics before making such statements).

This consensus may have been on an internal WMF discussion board

@mwjames: Nope. The RfC and its related task are public, the meeting was announced, and meeting logs are available.
What else would you have expected to see, or what would have been required to make you aware?